Page MenuHomePhabricator

[Story] Create definitions and explanations for Wikidata Metrics
Closed, ResolvedPublic

Description

Initially these will be simply created on a wikipage.

As grafana develops these could then be included per graph

Event Timeline

Christopher claimed this task.
Christopher raised the priority of this task from to Medium.
Christopher updated the task description. (Show Details)

https://image.slidesharecdn.com/smwworkshop-08-111006052002-phpapp02/95/semantic-mediawiki-workshop-83-728.jpg ;)

The OWL at https://gerrit.wikimedia.org/r/#/c/239855/1/assets/metrics.owl,cm only says that a few concepts are each a subclass of KPI. So as far as I understand this version of the OWL currently only consists of truisms. That makes it hard to see what it will become or what the goal is, so I have questions:

Who is the intended consumer of these semantic definitions?
What features in the dashboard will use data from the semantic definitions?

The objective of using RDF/OWL as a format for the publication of the wikidata metric definitions is to create a canonical data model. This is important to establish the globally defined bases for interpretation of the values. The consumers of the definitions are any tools or visualizations that need to describe the meaning of a metric value.

For the dashboard, I am considering just parsing the RDF (probably with the XML library for R) and extracting definitions from it in a view context info box. In this way, the OWL can serve the definitions (and other relevant metadata) the same way a TSV serves the metric values.

That seems useful. I wonder if that could be used in the same way in Dashiki.

Change 240758 had a related patch set uploaded (by Christopher Johnson (WMDE)):
adds sparql lookup function for metric metadata removes markdown files modifies owl to make legal uris

https://gerrit.wikimedia.org/r/240758

Change 240758 merged by Christopher Johnson (WMDE):
adds sparql lookup function for metric metadata removes markdown files modifies owl to make legal uris

https://gerrit.wikimedia.org/r/240758

Change 241287 had a related patch set uploaded (by Christopher Johnson (WMDE)):
refactors model into model.R refactors config into config.R adds dataSourceFile property to owl standardizes UI boxes adds predicate parameter to get_rdf_metadata function renames some datafiles

https://gerrit.wikimedia.org/r/241287

Change 241287 merged by Christopher Johnson (WMDE):
refactors model into model.R refactors config into config.R adds dataSourceFile property to owl standardizes UI boxes adds predicate parameter to get_rdf_metadata function renames some datafiles

https://gerrit.wikimedia.org/r/241287

Jonas renamed this task from Create semantic definitions for Wikidata Metrics to [Story] Create semantic definitions for Wikidata Metrics.Nov 2 2015, 3:12 PM
Addshore changed the task status from Open to Stalled.Nov 25 2015, 12:18 PM
Addshore added a subscriber: Addshore.
Addshore raised the priority of this task from Medium to High.Jan 27 2016, 11:15 AM
Addshore renamed this task from [Story] Create semantic definitions for Wikidata Metrics to [Story] Create definitions and explanations for Wikidata Metrics.Jan 27 2016, 11:19 AM
Addshore changed the task status from Stalled to Open.
Addshore claimed this task.
Addshore updated the task description. (Show Details)
Addshore moved this task from Doing to ToDo on the WMDE-Analytics-Engineering board.
Addshore closed this task as Resolved.Jan 27 2016, 12:44 PM

Now done at https://wiki.wikimedia.de/wiki/Software_Entwicklung/Analytics

I'll close this but if any points on the page need refining that can easily be done!

JanZerebecki reopened this task as Open.Jan 27 2016, 10:26 PM

Could you move that to mediawiki.org to make it public?

If I am requested to do so!
The end goal of this will be to have all of the in-lined in the graphs.

Yes let's please have this stored and shown with the graphs and not create half-baked solutions (including GS-wiki...).

In grafana is event better.

Well, in grafana is pending on that feature being developed and merged upstream (but it is on the way).

Perhaps a separate task for including them on the graphs?
Unless we just want a big blob of text at the top of every dashboard?

Big blob text is fine for now.

I will add this in a row by itself at the bottom of each dashboard